About the AR 2.0 SDK

Product: AR 2.0 (Firmware 2.4.8)

I am trying to use AR 2.0 for research purposes. The current firmware is 2.4.8, I found a ROS package (ardrone_autonomy) based on arsdk2. It works fine and I am able to receive the sensor readings. However, the drone does not fly when I send the corresponding commands. I am thinking this is due to the firmware. Is AR2.0 compatible with arsdk2.0? if not, how can I downgrade the firmware? If that is not possible, what sdk is compatible with the AR 2.0 (2.4.8) (I am beginner to the parrot sdk) and where can I find the documentation for that?